Skip to main content
GET
/
workspace
/
roles
/
permissions
List of Role Permissions (Globally)
curl --request GET \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/workspace/roles/permissions \
  --header 'Authorization: Bearer <token>'
[
  {
    "included": "<string>",
    "links": {
      "workspace_permission": "<string>",
      "workspace_role": "<string>"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

sort
string
default:workspace_role_id

Sort by field (prefix with - for descending)

filter
string
include
string
page
string
filter[workspace_role_id]
string

Filter by Workspace Role ID

filter[workspace_permission_id]
string

Filter by Workspace Permission ID

Response

The collection of App.Data.V1.WorkspaceRolePermission.WorkspaceRolePermissionResponseData

included
string
required

Included related resources for the workspace role permission record

API hyperlinks related to the workspace role permission record